﻿public class Level
{
    private float height;
    private float length;
    private float phase;
    private int energyCount;
    private bool isHeightCompleted;
    private bool isLengthCompleted;
    private bool isPhaseCompleted;
    private int completedEnergyCount;

    public float enteredHeight = 0f;
    public float enteredLength = 0f;
    public float enteredPhase = 0f;

    public float duration = 0f;

    public float Height
    {
        get
        {
            return height;
        }
    }

    public float Length
    {
        get
        {
            return length;
        }
    }

    public float Phase
    {
        get
        {
            return phase;
        }
    }

    public int EnergyCount
    {
        get
        {
            return energyCount;
        }
    }

    public bool IsHeightCompleted
    {
        get
        {
            return isHeightCompleted;
        }
        set
        {
            isHeightCompleted = value;
        }
    }

    public bool IsLengthCompleted
    {
        get
        {
            return isLengthCompleted;
        }
        set
        {
            isLengthCompleted = value;
        }
    }

    public bool IsPhaseCompleted
    {
        get
        {
            return isPhaseCompleted;
        }
        set
        {
            isPhaseCompleted = value;
        }
    }

    public int CompletedEnergyCount
    {
        get
        {
            return completedEnergyCount;
        }
        set
        {
            completedEnergyCount = value;
        }
    }

    public Level(float height, float length, float phase, int energyCount, float duration)
    {
        this.height = height;
        this.length = length;
        this.phase = phase;
        this.energyCount = energyCount;
        enteredHeight = 0f;
        enteredLength = 0f;
        enteredPhase = 0f;
        this.duration = duration;
    }
}