﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class WaveAnimController : MonoBehaviour
{
    public List<Transform> m_Waves;

    private float m_TweenDurationTime = 1f;

    // Use this for initialization
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.A))
        {
            SetWaveLength(Random.Range(0.1f, 1f));
        }
    }

    public void SetWaveLength(float length)
    {
        TweenScaleTransforms(length);
    }

    void TweenScaleTransforms(float amount)
    {
        foreach (var item in m_Waves)
        {
            item.DOScaleX(amount, m_TweenDurationTime);
        }
    }
}