﻿using UnityEngine;

public abstract class Operatable
{
    protected Machine machine;

    public Operatable(Machine machine)
    {
        this.machine = machine;
    }

    public abstract void OnXButtonDown();
    public abstract void OnAButtonDown();
    public abstract void OnLeftStickValueChanged(Vector2 value);
    public abstract void OnUpdate();
}