﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class OrbUI : MonoBehaviour {

	public SpriteRenderer m_FillSprite;
	public SpriteRenderer m_FrameSprite;

	Color m_OrbColor;

	public void Assign(Color c){
		m_FillSprite.enabled = false;
		m_OrbColor = c;
		m_FrameSprite.color = m_OrbColor;
		m_FillSprite.color = Color.white;
	}

	public void Fill(){
		Debug.Log ("Filling");
		m_FillSprite.gameObject.SetActive (true);
		m_FillSprite.enabled = true;
		m_FillSprite.color = m_OrbColor;
	}

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
